 drivers/char/drm/drm_drv.h  |    4 ++--
 drivers/char/drm/drm_fops.h |    4 ++--
 drivers/char/drm/drm_proc.h |    4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/char/drm/drm_drv.h~KD29-drm-B5 drivers/char/drm/drm_drv.h
--- 25/drivers/char/drm/drm_drv.h~KD29-drm-B5	2003-09-21 22:35:04.000000000 -0700
+++ 25-akpm/drivers/char/drm/drm_drv.h	2003-09-21 22:35:04.000000000 -0700
@@ -848,7 +848,7 @@ int DRM(release)( struct inode *inode, s
 	 */
 
 	DRM_DEBUG( "pid = %d, device = 0x%lx, open_count = %d\n",
-		   current->pid, (long)dev->device, dev->open_count );
+		   current->pid, (long)old_encode_dev(dev->device), dev->open_count );
 
 	if ( priv->lock_count && dev->lock.hw_lock &&
 	     _DRM_LOCK_IS_HELD(dev->lock.hw_lock->lock) &&
@@ -983,7 +983,7 @@ int DRM(ioctl)( struct inode *inode, str
 	++priv->ioctl_count;
 
 	DRM_DEBUG( "pid=%d, cmd=0x%02x, nr=0x%02x, dev 0x%lx, auth=%d\n",
-		   current->pid, cmd, nr, (long)dev->device, 
+		   current->pid, cmd, nr, (long)old_encode_dev(dev->device), 
 		   priv->authenticated );
 
 	if ( nr >= DRIVER_IOCTL_COUNT ) {
diff -puN drivers/char/drm/drm_fops.h~KD29-drm-B5 drivers/char/drm/drm_fops.h
--- 25/drivers/char/drm/drm_fops.h~KD29-drm-B5	2003-09-21 22:35:04.000000000 -0700
+++ 25-akpm/drivers/char/drm/drm_fops.h	2003-09-21 22:35:04.000000000 -0700
@@ -111,7 +111,7 @@ int DRM(flush)(struct file *filp)
 	drm_device_t  *dev    = priv->dev;
 
 	DRM_DEBUG("pid = %d, device = 0x%lx, open_count = %d\n",
-		  current->pid, (long)dev->device, dev->open_count);
+		  current->pid, (long)old_encode_dev(dev->device), dev->open_count);
 	return 0;
 }
 
@@ -122,7 +122,7 @@ int DRM(fasync)(int fd, struct file *fil
 	drm_device_t  *dev    = priv->dev;
 	int	      retcode;
 
-	DRM_DEBUG("fd = %d, device = 0x%lx\n", fd, (long)dev->device);
+	DRM_DEBUG("fd = %d, device = 0x%lx\n", fd, (long)old_encode_dev(dev->device));
 	retcode = fasync_helper(fd, filp, on, &dev->buf_async);
 	if (retcode < 0) return retcode;
 	return 0;
diff -puN drivers/char/drm/drm_proc.h~KD29-drm-B5 drivers/char/drm/drm_proc.h
--- 25/drivers/char/drm/drm_proc.h~KD29-drm-B5	2003-09-21 22:35:04.000000000 -0700
+++ 25-akpm/drivers/char/drm/drm_proc.h	2003-09-21 22:35:04.000000000 -0700
@@ -184,9 +184,9 @@ static int DRM(name_info)(char *buf, cha
 
 	if (dev->unique) {
 		DRM_PROC_PRINT("%s 0x%lx %s\n",
-			       dev->name, (long)dev->device, dev->unique);
+			       dev->name, (long)old_encode_dev(dev->device), dev->unique);
 	} else {
-		DRM_PROC_PRINT("%s 0x%lx\n", dev->name, (long)dev->device);
+		DRM_PROC_PRINT("%s 0x%lx\n", dev->name, (long)old_encode_dev(dev->device));
 	}
 
 	if (len > request + offset) return request;

_
